package com.education.workflow.iface;

public interface IWorkFlowRunner {
    //工作流执行
    IResult run();

    IContextCollector getCollector();

    IAIFactory getAIFactory();

    IPromptOptimizer getPromptOptimizer();

    IStructParser getStructParser();

    String getPrompt();
}
